package net.minecraft.src;

import forge.MinecraftForge;

public class mod_RespectiveEffectiveness extends BaseModMp {
	public static final int zero = 0;
	public static final int one = 1;
	public static final int two = 2;
	public static final int three = 3;
	public static final String pickaxe = "pickaxe";
	public static final String axe = "axe";
	public static final String shovel = "shovel";

	public mod_RespectiveEffectiveness() {
		MinecraftForge.setBlockHarvestLevel(Block.stone, pickaxe, zero);//1
		MinecraftForge.setBlockHarvestLevel(Block.cobblestone, pickaxe, zero);//4
		MinecraftForge.setBlockHarvestLevel(Block.oreCoal, pickaxe, zero);//16
		MinecraftForge.setBlockHarvestLevel(Block.glass, pickaxe, zero);//20
		MinecraftForge.setBlockHarvestLevel(Block.dispenser, pickaxe, zero);//23
		MinecraftForge.setBlockHarvestLevel(Block.sandStone, pickaxe, zero);//24
		MinecraftForge.setBlockHarvestLevel(Block.rail, pickaxe, zero);//66
		MinecraftForge.setBlockHarvestLevel(Block.railDetector, pickaxe, zero);//27
		MinecraftForge.setBlockHarvestLevel(Block.railPowered, pickaxe, zero);//28
		MinecraftForge.setBlockHarvestLevel(Block.pistonBase, pickaxe, zero);//33
		MinecraftForge.setBlockHarvestLevel(Block.pistonStickyBase, pickaxe, zero);//29
		MinecraftForge.setBlockHarvestLevel(Block.pistonExtension, pickaxe, zero);//34
		MinecraftForge.setBlockHarvestLevel(Block.pistonMoving, pickaxe, zero);//36
		MinecraftForge.setBlockHarvestLevel(Block.stairDouble, 0, pickaxe, zero);//43
		MinecraftForge.setBlockHarvestLevel(Block.stairSingle, 0, pickaxe, zero);//44
		MinecraftForge.setBlockHarvestLevel(Block.stairDouble, 1, pickaxe, zero);//43
		MinecraftForge.setBlockHarvestLevel(Block.stairSingle, 1, pickaxe, zero);//44
		MinecraftForge.setBlockHarvestLevel(Block.stairDouble, 3, pickaxe, zero);//43
		MinecraftForge.setBlockHarvestLevel(Block.stairSingle, 3, pickaxe, zero);//44
		MinecraftForge.setBlockHarvestLevel(Block.brick, pickaxe, zero);//45
		MinecraftForge.setBlockHarvestLevel(Block.cobblestoneMossy, pickaxe, zero);//48
		MinecraftForge.setBlockHarvestLevel(Block.mobSpawner, pickaxe, zero);//52
		MinecraftForge.setBlockHarvestLevel(Block.stoneOvenActive, pickaxe, zero);//61
		MinecraftForge.setBlockHarvestLevel(Block.stoneOvenIdle, pickaxe, zero);//62
		MinecraftForge.setBlockHarvestLevel(Block.stairCompactCobblestone, pickaxe, zero);//67
		MinecraftForge.setBlockHarvestLevel(Block.lever, pickaxe, zero);//69
		MinecraftForge.setBlockHarvestLevel(Block.pressurePlateStone, pickaxe, zero);//70
		MinecraftForge.setBlockHarvestLevel(Block.button, pickaxe, zero);//77
		MinecraftForge.setBlockHarvestLevel(Block.ice, pickaxe, zero);//79
		MinecraftForge.setBlockHarvestLevel(Block.netherrack, pickaxe, zero);//87
		MinecraftForge.setBlockHarvestLevel(Block.glowStone, pickaxe, zero);//89
		MinecraftForge.setBlockHarvestLevel(Block.oreIron, pickaxe, 1);//15
		MinecraftForge.setBlockHarvestLevel(Block.blockSteel, pickaxe, 1);//42
		MinecraftForge.setBlockHarvestLevel(Block.oreLapis, pickaxe, 1);//21
		MinecraftForge.setBlockHarvestLevel(Block.blockLapis, pickaxe, 1);//22
		MinecraftForge.setBlockHarvestLevel(Block.doorSteel, pickaxe, 2);//71
		MinecraftForge.setBlockHarvestLevel(Block.oreDiamond, pickaxe, 2);//56
		MinecraftForge.setBlockHarvestLevel(Block.blockDiamond, pickaxe, 2);//57
		MinecraftForge.setBlockHarvestLevel(Block.oreGold, pickaxe, 2);//14
		MinecraftForge.setBlockHarvestLevel(Block.blockGold, pickaxe, 2);//41
		MinecraftForge.setBlockHarvestLevel(Block.oreRedstone, pickaxe, 2);//73
		MinecraftForge.setBlockHarvestLevel(Block.oreRedstoneGlowing, pickaxe, 2);//74
		MinecraftForge.setBlockHarvestLevel(Block.obsidian, pickaxe, 3);//49
		
		MinecraftForge.setBlockHarvestLevel(Block.wood, axe, zero);//17
		MinecraftForge.setBlockHarvestLevel(Block.sponge, axe, zero);//19
		MinecraftForge.setBlockHarvestLevel(Block.glass, axe, zero);//20
		MinecraftForge.setBlockHarvestLevel(Block.musicBlock, axe, zero);//25
		MinecraftForge.setBlockHarvestLevel(Block.blockBed, axe, zero);//26
		MinecraftForge.setBlockHarvestLevel(Block.web, axe, zero);//30
		MinecraftForge.setBlockHarvestLevel(Block.stairDouble, 2, axe, zero);//43
		MinecraftForge.setBlockHarvestLevel(Block.stairSingle, 2, axe, zero);//44
		MinecraftForge.setBlockHarvestLevel(Block.workbench, axe, zero);//58
		MinecraftForge.setBlockHarvestLevel(Block.bookShelf, axe, zero);//47
		MinecraftForge.setBlockHarvestLevel(Block.pressurePlatePlanks, axe, zero);//72
		MinecraftForge.setBlockHarvestLevel(Block.stairCompactPlanks, axe, zero);//53
		MinecraftForge.setBlockHarvestLevel(Block.chest, axe, zero);//54
		MinecraftForge.setBlockHarvestLevel(Block.lockedChest, axe, zero);
		MinecraftForge.setBlockHarvestLevel(Block.doorWood, axe, zero);//64
		MinecraftForge.setBlockHarvestLevel(Block.trapdoor, axe, zero);
		MinecraftForge.setBlockHarvestLevel(Block.ladder, axe, zero);//65
		MinecraftForge.setBlockHarvestLevel(Block.signPost, axe, zero);//63
		MinecraftForge.setBlockHarvestLevel(Block.signWall, axe, zero);//68
		MinecraftForge.setBlockHarvestLevel(Block.cactus, axe, zero);//81
		MinecraftForge.setBlockHarvestLevel(Block.cake, axe, zero);//92
		MinecraftForge.setBlockHarvestLevel(Block.jukebox, axe, zero);//84
		MinecraftForge.setBlockHarvestLevel(Block.fence, axe, zero);//85
		MinecraftForge.setBlockHarvestLevel(Block.pumpkin, axe, zero);//86
		MinecraftForge.setBlockHarvestLevel(Block.pumpkinLantern, axe, zero);//91
		MinecraftForge.setBlockHarvestLevel(Block.planks, axe, zero);//5
		MinecraftForge.setBlockHarvestLevel(Block.blockSnow, axe, zero);//80
		MinecraftForge.setBlockHarvestLevel(Block.snow, axe, zero);//78
		
		MinecraftForge.setBlockHarvestLevel(Block.grass, shovel, zero);//2
		MinecraftForge.setBlockHarvestLevel(Block.dirt, shovel, zero);//3
		MinecraftForge.setBlockHarvestLevel(Block.sand, shovel, zero);//12
		MinecraftForge.setBlockHarvestLevel(Block.gravel, shovel, zero);//13
		MinecraftForge.setBlockHarvestLevel(Block.tilledField, shovel, zero);//60
		MinecraftForge.setBlockHarvestLevel(Block.slowSand, shovel, zero);//88
		MinecraftForge.setBlockHarvestLevel(Block.blockClay, shovel, zero);//82
		
		//unneeded blocks
		//Sapling //6
		//Bedrock //7
		//Water Moving //8
		//Water Still //9
		//Lava Moving //10
		//Lava Still //11
		//leaves //18
		//Tall Grass //31
		//Dead Bush //32
		//Wool //35
		//Yellow Flower //37
		//Red Flower //38
		//Brown Mushroom //39
		//Red Mushroom //40
		//Torch //50
		//Fire //51
		//Redstone Wire //55
		//crops //59
		//Redstone Torch //75
		//Redstone Torch //76
		//Reed //83
		//Repeater //93
		//Repeater //94
	}
 
	public String Version() {
		return "v1.0";
	}
	
	public String Name() {
		return "Respective Effectiveness";
	}

}
